Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(20)

Issue 1684953002: Fix re-entrancy and lifetime issue in RenderFrameObserverNatives::OnDocumentElementCreated (Closed)

Created:
3 years, 5 months ago by robwu
Modified:
3 years, 5 months ago
Reviewers:
Devlin
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org, jochen (gone - plz use gerrit)
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix re-entrancy and lifetime issue in RenderFrameObserverNatives::OnDocumentElementCreated BUG=585268, 568130 Committed: https://crrev.com/5a15b72a270b514cd442872221a788a303bdaa88 Cr-Commit-Position: refs/heads/master@{#374758}

Patch Set 1 #

Patch Set 2 : Synchronously run callback at DidCreateDocumentElement. #

Total comments: 7

Patch Set 3 : Nits + Invalidate weak ptrs upon Invalidate() #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+57 lines, -33 lines) Patch
M extensions/renderer/render_frame_observer_natives.h View 1 2 2 chunks +8 lines, -0 lines 0 comments Download
M extensions/renderer/render_frame_observer_natives.cc View 1 2 3 chunks +49 lines, -33 lines 3 comments Download

Messages

Total messages: 15 (6 generated)
robwu
Hi Devlin! See https://crbug.com/585268#c6
3 years, 5 months ago (2016-02-10 18:22:01 UTC) #3
Devlin
lgtm https://codereview.chromium.org/1684953002/diff/20001/extensions/renderer/render_frame_observer_natives.cc File extensions/renderer/render_frame_observer_natives.cc (right): https://codereview.chromium.org/1684953002/diff/20001/extensions/renderer/render_frame_observer_natives.cc#newcode22 extensions/renderer/render_frame_observer_natives.cc:22: LoadWatcher(content::RenderFrame* frame, base::Callback<void(bool)> callback) nit: const& on the ...
3 years, 5 months ago (2016-02-10 19:04:25 UTC) #4
robwu
https://codereview.chromium.org/1684953002/diff/20001/extensions/renderer/render_frame_observer_natives.cc File extensions/renderer/render_frame_observer_natives.cc (right): https://codereview.chromium.org/1684953002/diff/20001/extensions/renderer/render_frame_observer_natives.cc#newcode22 extensions/renderer/render_frame_observer_natives.cc:22: LoadWatcher(content::RenderFrame* frame, base::Callback<void(bool)> callback) On 2016/02/10 19:04:25, Devlin wrote: ...
3 years, 5 months ago (2016-02-10 20:18:52 UTC) #5
Devlin
https://codereview.chromium.org/1684953002/diff/20001/extensions/renderer/render_frame_observer_natives.cc File extensions/renderer/render_frame_observer_natives.cc (right): https://codereview.chromium.org/1684953002/diff/20001/extensions/renderer/render_frame_observer_natives.cc#newcode97 extensions/renderer/render_frame_observer_natives.cc:97: v8::Isolate* isolate = context()->isolate(); On 2016/02/10 20:18:52, robwu wrote: ...
3 years, 5 months ago (2016-02-10 20:30:48 UTC) #6
robwu
https://codereview.chromium.org/1684953002/diff/40001/extensions/renderer/render_frame_observer_natives.cc File extensions/renderer/render_frame_observer_natives.cc (right): https://codereview.chromium.org/1684953002/diff/40001/extensions/renderer/render_frame_observer_natives.cc#newcode80 extensions/renderer/render_frame_observer_natives.cc:80: v8::Global<v8::Function> v8_callback(context()->isolate(), On 2016/02/10 20:30:47, Devlin wrote: > Something ...
3 years, 5 months ago (2016-02-10 20:45:49 UTC) #7
Devlin
Jochen, mind helping us out with the comment in render_frame_observer_natives.cc? https://codereview.chromium.org/1684953002/diff/40001/extensions/renderer/render_frame_observer_natives.cc File extensions/renderer/render_frame_observer_natives.cc (right): https://codereview.chromium.org/1684953002/diff/40001/extensions/renderer/render_frame_observer_natives.cc#newcode80 ...
3 years, 5 months ago (2016-02-10 20:59:00 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1684953002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1684953002/40001
3 years, 5 months ago (2016-02-10 22:18:06 UTC) #11
commit-bot: I haz the power
Committed patchset #3 (id:40001)
3 years, 5 months ago (2016-02-10 22:46:07 UTC) #13
commit-bot: I haz the power
3 years, 5 months ago (2016-02-16 22:31:56 UTC) #15
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/5a15b72a270b514cd442872221a788a303bdaa88
Cr-Commit-Position: refs/heads/master@{#374758}

Powered by Google App Engine
This is Rietveld 408576698